Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 54)
@@ -87,6 +87,8 @@
                 m_DspControl[(int)DspCtrlName.WorkingDays] = label4;
                 // 残業時間
                 m_DspControl[(int)DspCtrlName.Overtime] = label13;
+                // 残業時間
+                m_DspControl[(int)DspCtrlName.OrderNo] = label18;
 
                 m_DspControl[(int)DspCtrlName.KmTodayTotal] = lblKM;
                 m_DspControl[(int)DspCtrlName.OfficeTodayCnt01] = lblCount01;
@@ -150,6 +152,12 @@
                 // データ表示
                 InitDispData01();
                 InitDispData02();
+
+                // 先頭ページへ移動
+                tabControl1.SelectedIndex = 0;
+
+                // 申請・承認表示処理
+                InitApprovalDisplay();
             }
             catch (Exception ex)
             {
@@ -170,12 +178,12 @@
         /// <returns></returns>
         private void InitDispData01()
         {
+            IOAttendanceData AttendDB = new IOAttendanceData();
             IOMHolidayCalender calDB = new IOMHolidayCalender();
             try
             {
                 DataGridView dgv = dgvAllDisplay;
                 dgv.Rows.Clear();
-                dgv.ReadOnly = true;
 
                 // 選択年月を取得する
                 string strSelDate = CommonMotions.cnvString(comboBox1.SelectedValue);
@@ -184,7 +192,6 @@
                 // 担当者を取得する
                 int PersonCode = GetConstructionPersonCode();
                 if (PersonCode == 0) return;
-                dgv.ReadOnly = false;
 
                 m_HolidayCount = 0;
                 // 月の最終日を求める
@@ -194,8 +201,7 @@
                 m_DspControl[(int)DspCtrlName.ConstructionDayFrom].Text = "1";
                 m_DspControl[(int)DspCtrlName.ConstructionDayTo].Text = m_LastDays.ToString("00");
 
-                
-                string strSQL = "SELECT AX.DT, TO_CHAR(C.HOLIDAY,'YYYY/MM/DD'), D.CONSTRUCTIONCODE, E.DETAILSTRING, D.OVERTIMEHOURS, D.WORKINGCOMMENT FROM";
+                string strSQL = "SELECT AX.DT, TO_CHAR(C.HOLIDAY,'YYYY/MM/DD'), D.ACTIONRESULT, D.OVERTIMEHOURS, D.WORKINGCOMMENT FROM";
                 strSQL += " (SELECT TO_CHAR((st+ROWNUM-1), 'YYYY/MM/DD') DT";
                 strSQL += " FROM SYS.ALL_CATALOG A,";
                 strSQL += string.Format(" (SELECT TO_DATE('{0}','yyyymmdd') st,", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + "01"));
@@ -203,8 +209,6 @@
                 strSQL += " WHERE ROWNUM <= (ed - st + 1)) AX";
                 strSQL += " LEFT JOIN HOLIDAYCALENDERMASTER C ON C.HOLIDAY = AX.DT";
                 strSQL += string.Format(" LEFT JOIN ATTENDANCEDAILYDATA D ON  D.PERSONCODE = {0} AND D.ATTENDANCEDATE = AX.DT", PersonCode);
-                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFODETAIL E ON E.CONSTRUCTIONCODE = D.CONSTRUCTIONCODE";
-                strSQL += string.Format(" AND E.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
                 strSQL += " ORDER BY AX.DT, D.SEQNO";
 
                 ArrayList arList = new ArrayList();
@@ -212,7 +216,7 @@
                 DateTime DispDate = DateTime.Now;
                 DateTime BreakDate = DateTime.MinValue;
                 string strHoliday = string.Empty;
-                string strConstrName = string.Empty;
+                string strResultName = string.Empty;
                 string strDispDay = string.Empty;
                 string strWeek = string.Empty;
                 // 日付の表示
@@ -221,7 +225,7 @@
                     DispDate = CommonMotions.cnvDate(CurRec[0]);
                     strHoliday = string.Empty;
                     strHoliday = CommonMotions.cnvString(CurRec[1]);
-                    strConstrName = CommonMotions.cnvString(CurRec[3]);
+                    strResultName = CommonMotions.cnvString(CurRec[2]);
                     strDispDay = string.Format("{0}日", DispDate.Day.ToString());
                     strWeek = DispDate.ToString("dddd");
 
@@ -237,10 +241,9 @@
                     int AddRow = dgv.Rows.Add(strDispDay,
                                                 DispDate.ToShortDateString(),
                                                 strWeek,
-                                                CommonMotions.cnvInt(CurRec[2]),
-                                                strConstrName,
-                                                CommonMotions.cnvDouble(CurRec[4]).ToString("#.#"),
-                                                CommonMotions.cnvString(CurRec[5])
+                                                strResultName,
+                                                CommonMotions.cnvDouble(CurRec[3]).ToString("#.#"),
+                                                CommonMotions.cnvString(CurRec[4])
                                                 );
 
                     // 休日のチェック
@@ -252,8 +255,13 @@
                         continue;
                     }
                 }
-                // 出勤日数
+                // 出勤日数・残業時間のセット
                 SetWorkDaysAndOverTimes();
+
+                // 申請受付番号取得
+                strSQL = AttendDB.CreatePrimarykeyString(PersonCode, WorktDate);
+                AttendanceData AttendRec = new AttendanceData();
+                AttendDB.SelectAction(strSQL, ref AttendRec);
             }
             catch (Exception ex)
             {
@@ -263,6 +271,7 @@
             {
                 if (dgvAllDisplay.RowCount == 0) dgvAllDisplay.RowCount += (18 - dgvAllDisplay.RowCount);
                 calDB.close(); calDB = null;
+                AttendDB.close(); AttendDB = null;
             }
         }
         #endregion
@@ -534,8 +543,20 @@
         {
             try
             {
-                cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
-                cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+                if (m_PersonCode != 0)
+                {
+                    cmbConstructionPerson.SelectedValue = m_PersonCode;
+                    SetPerosonToDepartment();
+                    SetVariableValue();
+                }
+                else
+                {
+                    cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                    SetcombBoxPerson();
+                    cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+                }
+
+
             }
             catch (Exception ex)
             {
@@ -797,7 +818,8 @@
                 string strSQL = string.Empty;
                 // 部署マスタを検索する
                 strSQL = "SELECT A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER, COUNT(*)";
-                strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B, CONSTRUCTIONBASEINFO C";
+                //strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B, CONSTRUCTIONBASEINFO C";
+                strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B";
                 strSQL += " WHERE A.DELETEFLG = 0";
 
                 if (CommonMotions.LoginUserData.PersonCode != CommonDefine.AdminCode)
@@ -808,7 +830,7 @@
                 }
 
                 strSQL += " AND A.DEPARTMENTCODE = B.DEPARTMENTCODE";
-                strSQL += " AND B.PERSONCODE = C.CONSTRUCTIONPERSONCODE";
+                //strSQL += " AND B.PERSONCODE = C.CONSTRUCTIONPERSONCODE";
                 strSQL += " GROUP BY A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER";
                 strSQL += " ORDER BY A.DISPLAYORDER ASC";
 
@@ -1020,7 +1042,7 @@
                 if (!DispFeildCheck()) return false;
 
                 if (MessageBox.Show("出勤日報データを登録します、よろしいですか？", "登録確認"
-                        , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return true;
+                        , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return false;
 
                 // 登録処理
                 if (!EntryData()) return false;
@@ -1062,6 +1084,13 @@
                     }
                 }
 
+                // 残業エラー
+                if (CommonMotions.cnvDouble(m_DspControl[(int)DspCtrlName.Overtime].Text) > 999.9)
+                {
+                    MessageBox.Show("残業時間の合計は999.9までしか登録できません。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
                 DataGridView dgv = dgvAllDisplay;
                 // グリッドの行分処理を行う
                 foreach (DataGridViewRow wrkRow in dgv.Rows)
@@ -1070,6 +1099,14 @@
                     CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.OverTimes], true);
                     CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.Comment], true);
 
+                    // 行動実績
+                    if (CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.ActionResult].Value).Length > 30)
+                    {
+                        // 背景色変更
+                        CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.ActionResult], false);
+                        bRet = false;
+                    }
+
                     // 残業時間
                     if (!CommonMotions.chkNumeric(wrkRow.Cells[(int)GridColumn01.OverTimes].Value))
                     {
@@ -1077,6 +1114,12 @@
                         CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.OverTimes], false);
                         bRet = false;
                     }
+                    if (CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn01.OverTimes].Value) > 999.9)
+                    {
+                        // 背景色変更
+                        CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.OverTimes], false);
+                        bRet = false;
+                    }
 
                     // 備考レングス
                     if (CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.Comment].Value).Length > 120)
@@ -1108,24 +1151,35 @@
         /// </summary>
         private bool EntryData()
         {
-            IOAttendanceDailyData AttendanceDB = new IOAttendanceDailyData();
+            IOAttendanceData MainDB = new IOAttendanceData();
+            IOAttendanceDailyData DailyDB = new IOAttendanceDailyData();
             IOTranceportDailyData TranceportDB = new IOTranceportDailyData();
             try
             {
 
                 // 一括処理を行う
-                AttendanceDB.connect(); AttendanceDB.beginTran();
+                MainDB.connect(); MainDB.beginTran();
+                DailyDB.connect(); DailyDB.beginTran();
                 TranceportDB.connect(); TranceportDB.beginTran();
 
+                // 出勤管理データ登録
+                if (!EntAttendanceData(MainDB))
+                {
+                    MainDB.rollback();
+                    return false;
+                }
                 // 出勤日報データ登録
-                if (!EntAttendanceDailyData(AttendanceDB))
+                if (!EntAttendanceDailyData(DailyDB))
                 {
-                    AttendanceDB.rollback();
+                    MainDB.rollback();
+                    DailyDB.rollback();
                     return false;
                 }
+                // 出勤交通費データ登録
                 if (!EntTraceportDailyData(TranceportDB))
                 {
-                    AttendanceDB.rollback();
+                    MainDB.rollback();
+                    DailyDB.rollback();
                     TranceportDB.rollback();
                     return false;
                 }
@@ -1139,15 +1193,66 @@
             }
             finally
             {
-                AttendanceDB.commit();
+                MainDB.commit();
+                DailyDB.commit();
                 TranceportDB.commit();
 
-                AttendanceDB.close(); AttendanceDB = null;
+                MainDB.close(); MainDB = null;
+                DailyDB.close(); DailyDB = null;
                 TranceportDB.close(); TranceportDB = null;
             }
         }
         #endregion
 
+        #region 出勤管理データ登録
+        /// <summary>
+        /// 出勤管理データ登録
+        /// </summary>
+        /// <param name="AttendanceDB"></param>
+        /// <returns></returns>
+        private bool EntAttendanceData(IOAttendanceData AttendanceDB)
+        {
+            try
+            {
+                // 対象月を取得する
+                string TargetMonth = GetTargetMonth();
+
+                // 担当者コンボボックス値取得
+                int PersonCode = GetConstructionPersonCode();
+
+                // まず削除する
+                string strSQL = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                strSQL += string.Format(" AND TO_CHAR(AttendanceMonth,'YYYY/MM') = '{0}'", TargetMonth);
+                AttendanceDB.DeleteAction(strSQL, false);
+
+                // グリッド取得
+                DataGridView dgv = dgvAllDisplay;
+
+                // データ編集
+                AttendanceData AttendanceRec = new AttendanceData();
+                AttendanceRec.PersonCode = PersonCode;
+                AttendanceRec.AttendanceMonth = CommonMotions.cnvDate(TargetMonth + "/01");
+                AttendanceRec.LastDays = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.ConstructionDayTo].Text);
+                AttendanceRec.AttendDayCount = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.WorkingDays].Text);
+                AttendanceRec.TotalOverTimes = CommonMotions.cnvDouble(m_DspControl[(int)DspCtrlName.Overtime].Text);
+                AttendanceRec.OrderNo = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.OrderNo].Text);
+
+                if (!AttendanceDB.InsertAction(AttendanceRec, false))
+                {
+                    MessageBox.Show("出勤管理データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
         #region 出勤日報データ登録
         /// <summary>
         /// 出勤日報データ登録
@@ -1174,19 +1279,22 @@
 
                 // グリッドの行分処理を行う
                 int LineCnt = 1;
-                int ConstrCode = 0;
+                string AttendName = string.Empty;
                 double OverTimes = 0;
                 string strComment = string.Empty;
                 DateTime AttendanceDate = DateTime.Now;
                 DateTime BreakDate = DateTime.MinValue;
+                
+                string strInsert = string.Empty;
+                strSQL = "INSERT ALL";
                 foreach (DataGridViewRow wrkRow in dgv.Rows)
                 {
-                    ConstrCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn01.ConstructionCode].Value);
+                    AttendName = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.ActionResult].Value);
                     OverTimes = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn01.OverTimes].Value);
                     strComment = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.Comment].Value);
                     AttendanceDate = CommonMotions.cnvDate(wrkRow.Cells[(int)GridColumn01.AttendanceDate].Value);
                     // 空白行は処理しない
-                    if (ConstrCode == 0 && OverTimes == 0 && strComment.Length == 0) continue;
+                    if (AttendName.Length == 0 && OverTimes == 0 && strComment.Length == 0) continue;
 
                     // 日付が違えば行番号クリア
                     if (AttendanceDate != BreakDate)
@@ -1195,21 +1303,25 @@
                         LineCnt = 1;
                     }
 
-                    // データ編集
-                    AttendanceDailyData AttendanceRec = new AttendanceDailyData();
-                    AttendanceRec.PersonCode = PersonCode;
-                    AttendanceRec.AttendanceDate = AttendanceDate;
-                    AttendanceRec.SeqNo = LineCnt;
-                    AttendanceRec.ConstructionCode = ConstrCode;
-                    AttendanceRec.OvertimeHours = OverTimes;
-                    AttendanceRec.WorkingComment = strComment;
+                    // SQL作成
+                    SetRowToSQL1(wrkRow, LineCnt, ref strInsert);
 
-                    if (!AttendanceDB.InsertAction(AttendanceRec, false))
+                    LineCnt++;
+                }
+
+                if (strInsert.Length < 1)
+                {
+                    AttendanceDB.rollback();
+                }
+                else
+                {
+                    strSQL += strInsert;
+                    strSQL += " SELECT * FROM DUAL";
+                    if (!AttendanceDB.ExecuteNonQuery(strSQL, false))
                     {
                         MessageBox.Show("出勤日報データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                         return false;
                     }
-                    LineCnt++;
                 }
 
                 return true;
@@ -1222,6 +1334,54 @@
         }
         #endregion
 
+        #region 出勤日報データ作成SQL
+        /// <summary>
+        /// 出勤日報データ作成SQL
+        /// </summary>
+        /// <param name="wrkRow"></param>
+        /// <param name="LineCnt"></param>
+        /// <param name="strSQL"></param>
+        private void SetRowToSQL1(DataGridViewRow wrkRow, int LineCnt, ref string strSQL)
+        {
+            try
+            {
+                string ActionResult = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.ActionResult].Value);
+                double OverTimes = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn01.OverTimes].Value);
+                string strComment = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.Comment].Value);
+                DateTime AttendanceDate = CommonMotions.cnvDate(wrkRow.Cells[(int)GridColumn01.AttendanceDate].Value);
+
+                int PersonCode = GetConstructionPersonCode();
+
+                strSQL += " INTO AttendanceDailyData";
+
+                strSQL += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(IOAttendanceDailyData.DataColumn)))
+                {
+                    if (!bFirst) strSQL += " ,";
+                    strSQL += gender.ToString();
+                    bFirst = false;
+                }
+                strSQL += ") VALUES (";
+
+                strSQL += string.Format("  {0}", PersonCode);                                                   // 担当者コード
+                strSQL += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", AttendanceDate.ToShortDateString());   // 日報作成日
+                strSQL += string.Format(", {0}", LineCnt);                                                      // 明細行番号
+                strSQL += string.Format(",'{0}'", ActionResult);                                                // 行動実績
+                strSQL += string.Format(", {0}", OverTimes);                                                    // 残業時間
+                strSQL += string.Format(",'{0}'", strComment);                                                  // コメント
+
+                strSQL += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strSQL += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strSQL = strSQL + ")";
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 出勤交通費データ登録
         /// <summary>
         /// 出勤交通費データ登録
@@ -1243,25 +1403,36 @@
                 strSQL += string.Format(" AND TO_CHAR(ATTENDANCEDATE,'YYYY/MM') = '{0}'", TargetMonth);
                 TranceportDB.DeleteAction(strSQL, false);
 
-                // グリッド取得
-                DataGridView dgv = dgvTransport01;
-
+                string strInsert = string.Empty;
                 // グリッドの行分処理を行う
-                DateTime AttendanceDate = DateTime.Now;
-                double[] DistanceArrary = new double[3];
-                int[] FlgArrary = new int[6];
-                foreach (DataGridViewRow wrkRow in dgv.Rows)
+                foreach (DataGridViewRow wrkRow in dgvTransport01.Rows)
                 {
-                    if (!InsertTranceport(TranceportDB, PersonCode, wrkRow)) return false;
+                    // 有効行のチェック
+                    if (!ChkTranTraceportRow(wrkRow)) continue;
+
+                    SetRowToSQL2(PersonCode, wrkRow, ref strInsert);
                 }
 
-                // グリッド取得
-                dgv = dgvTransport02;
-                foreach (DataGridViewRow wrkRow in dgv.Rows)
+                foreach (DataGridViewRow wrkRow in dgvTransport02.Rows)
                 {
-                    if (!InsertTranceport(TranceportDB, PersonCode, wrkRow)) return false;
+                    // 有効行のチェック
+                    if (!ChkTranTraceportRow(wrkRow)) continue;
+
+                    SetRowToSQL2(PersonCode, wrkRow, ref strInsert);
                 }
 
+                if (strInsert.Length > 0)
+                {
+                    strSQL = "INSERT ALL";
+                    strSQL += strInsert;
+                    strSQL += " SELECT * FROM DUAL";
+                    if (!TranceportDB.ExecuteNonQuery(strSQL, false))
+                    {
+                        MessageBox.Show("出勤交通費データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+
                 return true;
             }
             catch (Exception ex)
@@ -1272,16 +1443,16 @@
         }
         #endregion
 
-        #region 出勤交通費データ書込み
+        #region 出勤交通費有効行のチェック
         /// <summary>
-        /// 出勤交通費データ書込み
+        /// 出勤交通費有効行のチェック
         /// </summary>
+        /// <param name="wrkRow"></param>
         /// <returns></returns>
-        private bool InsertTranceport(IOTranceportDailyData TranceportDB, int PersonCode, DataGridViewRow wrkRow)
+        private bool ChkTranTraceportRow(DataGridViewRow wrkRow)
         {
             try
             {
-                // グリッドの行分処理を行う
                 DateTime AttendanceDate = DateTime.Now;
                 double[] DistanceArrary = new double[3];
                 int[] FlgArrary = new int[5];
@@ -1306,36 +1477,84 @@
                     if ((bool)wrkRow.Cells[(int)GridColumn02.WareHouse].Value) FlgArrary[4] = 1;
 
                 // 空白行は処理しない
-                if (AttendanceDate == DateTime.MinValue) return true;
+                if (AttendanceDate == DateTime.MinValue) return false;
                 if (DistanceArrary[0] == 0 && DistanceArrary[1] == 0 && DistanceArrary[2] == 0
                     && FlgArrary[0] == 0 && FlgArrary[1] == 0 && FlgArrary[2] == 0
-                    && FlgArrary[3] == 0 && FlgArrary[4] == 0) return true;
+                    && FlgArrary[3] == 0 && FlgArrary[4] == 0) return false;
 
-                // データ編集
-                TranceportDailyData TranceportRec = new TranceportDailyData();
-                TranceportRec.PersonCode = PersonCode;
-                TranceportRec.AttendanceDate = AttendanceDate;
-                TranceportRec.StartDistance = DistanceArrary[0];
-                TranceportRec.ComplateDistance = DistanceArrary[1];
-                TranceportRec.TotalDistance = DistanceArrary[2];
-                TranceportRec.OfficeGoFlg = FlgArrary[0];
-                TranceportRec.OfficeOutFlg = FlgArrary[1];
-                TranceportRec.TrancePayGoFlg = FlgArrary[2];
-                TranceportRec.TrancePayOutFlg = FlgArrary[3];
-                TranceportRec.WareHouseFlg = FlgArrary[4];
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
 
-                if (!TranceportDB.InsertAction(TranceportRec, false))
+        #region 出勤交通費データ取り込み
+        /// <summary>
+        /// 出勤交通費データ取り込み
+        /// </summary>
+        /// <returns></returns>
+        private void SetRowToSQL2(int PersonCode, DataGridViewRow wrkRow, ref string strSQL)
+        {
+            try
+            {
+                DateTime AttendanceDate = DateTime.Now;
+                double[] DistanceArrary = new double[3];
+                int[] FlgArrary = new int[5];
+
+                Array.Clear(DistanceArrary, 0, 3);
+                Array.Clear(FlgArrary, 0, 5);
+
+                DistanceArrary[0] = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn02.StartNumber].Value);
+                DistanceArrary[1] = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn02.CompNumber].Value);
+                DistanceArrary[2] = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn02.TotalDistance].Value);
+                AttendanceDate = CommonMotions.cnvDate(wrkRow.Cells[(int)GridColumn02.AttendanceDate].Value);
+
+                if (wrkRow.Cells[(int)GridColumn02.OfficeGo].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.OfficeGo].Value) FlgArrary[0] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.OfficeOut].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.OfficeOut].Value) FlgArrary[1] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.TrancePayGo].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.TrancePayGo].Value) FlgArrary[2] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.TrancePayOut].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.TrancePayOut].Value) FlgArrary[3] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.WareHouse].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.WareHouse].Value) FlgArrary[4] = 1;
+
+                strSQL += " INTO TranceportDailyData";
+
+                strSQL += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(IOTranceportDailyData.DataColumn)))
                 {
-                    MessageBox.Show("出勤交通費データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                    return false;
+                    if (!bFirst) strSQL += " ,";
+                    strSQL += gender.ToString();
+                    bFirst = false;
                 }
+                strSQL += ") VALUES (";
 
-                return true;
+                strSQL += string.Format("  {0}", PersonCode);                               // 担当者コード
+                strSQL += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", AttendanceDate.ToShortDateString());   // 日報作成日
+                strSQL += string.Format(", {0}", DistanceArrary[0]);                        // 当日出発キロ数
+                strSQL += string.Format(", {0}", DistanceArrary[1]);                        // 当日終了キロ数
+                strSQL += string.Format(", {0}", DistanceArrary[2]);                        // 当日合計キロ数
+                strSQL += string.Format(", {0}", FlgArrary[0]);                             // 事務所出勤フラグ
+                strSQL += string.Format(", {0}", FlgArrary[1]);                             // 事務所帰宅フラグ
+                strSQL += string.Format(", {0}", FlgArrary[2]);                             // 有料通勤出勤フラグ
+                strSQL += string.Format(", {0}", FlgArrary[3]);                             // 有料通勤帰宅フラグ
+                strSQL += string.Format(", {0}", FlgArrary[4]);                             // 資材置場フラグ
+
+                strSQL += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strSQL += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strSQL += ")";
+
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
             }
         }
         #endregion
@@ -1389,51 +1608,6 @@
         }
         #endregion
 
-        #region 工事名称選択
-        /// <summary>
-        /// 工事名称選択
-        /// </summary>
-        /// <param name="RowCnt"></param>
-        private void SetConstruction(int RowCnt)
-        {
-            FrmConstructionDiag frm = new FrmConstructionDiag();
-            try
-            {
-                DataGridView dgv = dgvAllDisplay;
-                DataGridViewRow dgvRow = dgv.Rows[RowCnt];
-
-                // グリッドがREADONLYは処理しない
-                if (dgv.ReadOnly) return;
-
-                // 担当者コンボボックス値取得
-                int PersonCode = GetConstructionPersonCode();
-                if (PersonCode == 0) return;
-
-                // 工事担当者検索
-                frm.PersonCharge = (int)FrmConstructionDiag.PersonChargePoint.Construction;
-                frm.PersonCode = PersonCode;
-                frm.ProcessNo = (int)ClsExcute.ProcessExecuteNo.TAndPCosts;
-
-                frm.ShowDialog();
-                // 終了コード確認
-                if (frm.EndButton == DialogResult.No) return;
-
-                // 工事コードセット
-                dgvRow.Cells[(int)GridColumn01.ConstructionCode].Value = frm.ConstructionCode;
-                // 工事名称セット
-                dgvRow.Cells[(int)GridColumn01.ConstructionName].Value = frm.ConstructionName;
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                frm.Dispose(); frm = null;
-            }
-        }
-        #endregion
-
         #region 出勤日数・残業時間のセット
         /// <summary>
         /// 出勤日数・残業時間のセット
@@ -1446,7 +1620,7 @@
                 if (dgv.RowCount == 0) return;
 
                 int WorkingCnt = 0;
-                int ConstrCode = 0;
+                string AttendName = string.Empty;
                 double OverTimes = 0;
                 double SumOverTimes = 0;
                 string strComment = string.Empty;
@@ -1458,11 +1632,11 @@
                 {
                     SumOverTimes += CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn01.OverTimes].Value);
 
-                    ConstrCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn01.ConstructionCode].Value);
+                    AttendName = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.ActionResult].Value);
                     OverTimes = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn01.OverTimes].Value);
                     strComment = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.Comment].Value);
                     AttendanceDate = CommonMotions.cnvDate(wrkRow.Cells[(int)GridColumn01.AttendanceDate].Value);
-                    if (ConstrCode == 0 && OverTimes == 0 && strComment.Length == 0)
+                    if (AttendName.Length == 0 && OverTimes == 0 && strComment.Length == 0)
                     {
 
                     }
